Contact: 	HOBBYHIMMEL
eMail: 	info@hobbyhimmel.de
Thingiverse: https://www.thingiverse.com/thing:5219741

Summary:
This adapter is screwed on a shaper origin (part of Festool cooperation) and ends with the male part of our adapter system.
